import 'package:flutter/material.dart';

import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:senior_design_system/senior_design_system.dart';

import '../widgets/page_wrapper.dart';

class MenuListItemExample extends StatefulWidget {
  const MenuListItemExample({Key? key}) : super(key: key);

  @override
  _MenuListItemExampleState createState() => _MenuListItemExampleState();
}

class _MenuListItemExampleState extends State<MenuListItemExample> {
  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Menu List Item',
      child: ListView(
        children: [
          const SeniorMenuItemList(
            title: '+55 47 9 0000-0000',
            subtitle: 'Pessoal',
            leading: Icon(FontAwesomeIcons.squarePhoneFlip),
            leftPadding: 16,
            rightPadding: 16,
          ),
          const SeniorMenuItemList(
            title: '+55 47 9 0000-0000',
            subtitle: 'Profissional',
            leading: Icon(FontAwesomeIcons.squarePhoneFlip),
          ),
          const SeniorMenuItemList(
            title: '+55 47 9 0000-0000',
            subtitle: 'Outro',
          ),
          const SeniorMenuItemList(
            title: 'nome.colaborador@pessoal.com.br',
            subtitle: 'Pessoal',
            leading: Icon(FontAwesomeIcons.solidEnvelope),
          ),
          const SeniorMenuItemList(
            title: 'nome.colaborador@empresa.com.br',
            subtitle: 'Profissional',
            leading: const SeniorProfilePicture(
              isLoading: true,
              radius: 15,
              name: 'Gustavo Senci',
              imageProvider: const NetworkImage(
                'https://tecnoblog.net/wp-content/uploads/2019/12/facebook-mark-zuckerberg-f8-2018-1.jpg',
              ),
            ),
          ),
          SeniorMenuItemList(
            title: 'Resumo profissional',
            leading: const SeniorProfilePicture(
                name: 'Resumo profissional', radius: 45),
            onTap: () {},
          ),
          SeniorMenuItemList(
            title:
                'Contatos de emergência com texto grande para ver se vai quebrar',
            onTap: () {},
            enabled: true,
            leftPadding: 16,
            rightPadding: 16,
          ),
          SeniorMenuItemList(
            title: 'Documentos pessoais',
            leading: const Icon(FontAwesomeIcons.solidUser),
            onTap: () {},
            enabled: false,
          ),
        ],
      ),
    );
  }
}
